﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace SilverlightApplication3
{
	public class ViewModel : ViewModelBase
	{
		public ViewModel()
		{
			Items = new ObservableCollection<DataItem>();

			for (int i = 0; i < 4; i++)
			{
				DataItem item = new DataItem()
				{
					Name = String.Format("Item {0}", i)
				};
				for (int j = 0; j < 2; j++)
				{
					item.Children.Add(new DataItem() { Name = String.Format("Item {0}.{1}", i, j) });
				}
				Items.Add(item);
			}

			this.SelectedTreeNode = this.Items[0];
		}


		private DataItem selectedTreeNode;
		public DataItem SelectedTreeNode
		{
			get
			{
				return this.selectedTreeNode;
			}
			set
			{
				if (this.selectedTreeNode != value)
				{
					this.selectedTreeNode = value;
					OnPropertyChanged("SelectedTreeNode");
				}
			}
		}
		public ObservableCollection<DataItem> Items { get; set; }
	}
}
